# Enum Class VulkanFrontFace

java.lang.Object
java.lang.Enum<VulkanFrontFace>
com.io7m.jcoronado.api.VulkanFrontFace

All Implemented Interfaces:
  `VulkanEnumIntegerType`, `Serializable`, `Comparable<VulkanFrontFace>`, `Constable`

public enum VulkanFrontFace extends Enum<VulkanFrontFace> implements VulkanEnumIntegerType

See Also:
  - "VkFrontFace"

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_FRONT_FACE_CLOCKWISE`
  Specifies that a triangle with negative area is considered front-facing.
  `VK_FRONT_FACE_COUNTER_CLOCKWISE`
  Specifies that a triangle with positive area is considered front-facing.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static VulkanFrontFace`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanFrontFace[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_FRONT_FACE_COUNTER_CLOCKWISE

    public static final VulkanFrontFace VK_FRONT_FACE_COUNTER_CLOCKWISE
    Specifies that a triangle with positive area is considered front-facing.

  - ### VK_FRONT_FACE_CLOCKWISE

    public static final VulkanFrontFace VK_FRONT_FACE_CLOCKWISE
    Specifies that a triangle with negative area is considered front-facing.

- ## Method Details

  - ### values

    public static VulkanFrontFace[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanFrontFace valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumIntegerType`
    Returns:
      The integer value of the constant